Loading...
Searching...
No Matches
ARC_LexerToken Struct Reference

a lexer token type More...

`#include <lexer.h>`

## Data Fields

uint32_t | rule
ARC_String * | data

## Detailed Description

a lexer token type

Definition at line 18 of file lexer.h.

## Field Documentation

## data

ARC_String* ARC_LexerToken::data

Definition at line 20 of file lexer.h.

## rule

uint32_t ARC_LexerToken::rule

Definition at line 19 of file lexer.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/lexer.h